### Method

# GIRepository ObjectInfo find_method_using_interfaces

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_object_info_find_method_using_interfaces (
      GIObjectInfo* info,
      const char* name,
      GIBaseInfo** declarer
    )

#### Description

Obtain a method of the object given a `name`, searching both the object `info` and any interfaces it implements.

`NULL` will be returned if there’s no method available with that name.

Note that this function does not search parent classes; you will have to chain up if that’s desired.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  Name of method to obtain.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`declarer`

  Type: `GIBaseInfo`

  The `GIObjectInfo` or `GIInterfaceInfo` which declares the method, or `NULL` to ignore. If no method is found, this will return `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `GIFunctionInfo`

The `GIFunctionInfo`, or `NULL` if none was found. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.